## afew 1.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/afew.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/afew.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/afew"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/afew"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## afew 0.0+git2016.02.29.b19a88f

=== debian/changelog ===
afew (0.0+git2016.02.29.b19a88f-2) unstable; urgency=medium

  * Replace 'MIT' with 'Expat' in debian/copyright

 -- Free Ekanayaka <freee@debian.org>  Mon, 26 Dec 2016 14:15:52 +0000

afew (0.0+git2016.02.29.b19a88f-1) unstable; urgency=low

  * Initial release (Closes: #849153)

 -- Free Ekanayaka <freee@debian.org>  Fri, 23 Dec 2016 00:03:25 +0000

=== debian/control ===
Source: afew
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python3-setuptools (>= 0.6b3),
	       python3-all (>= 2.6.6-3),
	       python3-notmuch,
	       python3-chardet,
Standards-Version: 3.9.8
Homepage: https://github.com/teythoon/afew
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/afew.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/afew.git

Package: afew
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Tagging script for notmuch mail
 The basic task of afew is to provide automatic tagging each time new
 mail is registered with notmuch. In a classic setup, you might call it
 after 'notmuch new' in an offlineimap post sync hook.
 .
 In addition to more elementary features such as adding tags based on
 email headers or maildir folders, handling killed threads and spam, it
 can do some heavy magic in order to /learn/ how to initially tag your
 mails based on their content.
 .
 In move mode, afew will move mails between maildir folders according to
 configurable rules that can contain arbitrary notmuch queries to match
 against any searchable attributes.

## afew 1.3.0

=== debian/changelog ===
afew (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Fix homeage in debian/control
  * Add dependency on python3-dkim

 -- Free Ekanayaka <freee@debian.org>  Wed, 07 Feb 2018 09:43:58 +0000

afew (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Drop 0001-fix-failing-tests.patch
  * Add debian/watch file
  * Add build dependency on python3-setuptools-scm

 -- Free Ekanayaka <freee@debian.org>  Mon, 30 Oct 2017 13:36:38 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Build-Depends: debhelper (>= 9),
 	       dh-python,
 	       python3-setuptools (>= 0.6b3),
+	       python3-setuptools-scm,
 	       python3-all (>= 2.6.6-3),
 	       python3-notmuch,
 	       python3-chardet,
+	       python3-dkim,
 Standards-Version: 3.9.8
-Homepage: https://github.com/teythoon/afew
+Homepage: https://github.com/afewmail/afew
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/afew.git
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/afew.git

=== debian/watch ===
# please also check http://pypi.debian.net/afew/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/afew/afew-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## afew 3.0.1

=== debian/changelog ===
afew (3.0.1-9) unstable; urgency=medium

  * Team upload.
  * Patch-out pkg_resources (Closes: #1125811)
  * Disable one more useless Salsa CI job
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Feb 2026 02:25:14 +0100

afew (3.0.1-8) unstable; urgency=medium

  * Team upload.

  [ itd ]
  * BaseFilter: allow removing non-existent tags (closes: #1106896).

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jul 2025 14:02:50 +0100

afew (3.0.1-7) unstable; urgency=medium

  * Team upload.
  [ David Bremner ]
  * Upgrade to upstream commit [65227fa].
  * Apply upstream pull request #350 (needed for python 3.12).
  * Apply upstream pull request #320 (Closes: #1098664).
  * Change Build-Depends from python3-notmuch to python3-notmuch2.

 -- Santiago Vila <sanvila@debian.org>  Sat, 15 Mar 2025 21:35:00 +0100

afew (3.0.1-6) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Add missing runtime dep on python3-pkg-resources

  [ Håvard F. Aasen ]
  * Fix invalid escape sequence. Closes: #1085322
  * Remove myself as uploader

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 01:54:57 +0100

afew (3.0.1-5) unstable; urgency=medium

  * Get upstream version in d/rules. Closes: #1052872
  * Update Standards-Version to 4.6.2, no changes needed

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 27 Sep 2023 23:27:29 +0200

afew (3.0.1-4) unstable; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-dnspython.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 16:52:49 +0100

afew (3.0.1-3) unstable; urgency=medium

  * Add python3-dnspython as runtime dependency. Closes: #1010391
  * Update my own name and email.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 05 May 2022 20:47:21 +0200

afew (3.0.1-2) unstable; urgency=medium

  * Update standards version to 4.6.0
  * Run wrap-and-sort
  * Add autopkgtest running upstream testsuite.
  * Include man-page, built with sphinx.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 15 Nov 2021 10:18:48 +0100

afew (3.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add missing build dependency on python3-dnspython (>= 1.16.0).

  [ Håvard Flaget Aasen ]
  * Remove regenerated file by scm. Closes: #978279
  * New upstream version Closes: #966690
    - Version also support quotes properly Closes: #915403
  * d/control:
    - Added build-dependencies to continue test the package
    - Add Rules-Requires-root
    - Bump debhelper to 13
    - Remove old version restrictions
    - Update Standards-Version to 4.5.1
    - Add myself in uploaders field
  * d/watch: Bump version to 4
  * d/rules: Include upstream changelog
  * d/source/options: Exclude *.egg-info files
  * d/copyright: Updated with more Files paragraphs

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 28 Jan 2021 16:46:42 +0100

=== debian/control ===
Source: afew
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 notmuch,
 python3-all,
 python3-chardet,
 python3-dkim,
 python3-dnspython,
 python3-freezegun,
 python3-notmuch2,
 python3-pytest,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Standards-Version: 4.7.3
Homepage: https://github.com/afewmail/afew
Vcs-Browser: https://salsa.debian.org/python-team/packages/afew
Vcs-Git: https://salsa.debian.org/python-team/packages/afew.git

Package: afew
Architecture: all
Depends:
 python3-dnspython,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: Tagging script for notmuch mail
 The basic task of afew is to provide automatic tagging each time new
 mail is registered with notmuch. In a classic setup, you might call it
 after 'notmuch new' in an offlineimap post sync hook.
 .
 In addition to more elementary features such as adding tags based on
 email headers or maildir folders, handling killed threads and spam, it
 can do some heavy magic in order to /learn/ how to initially tag your
 mails based on their content.
 .
 In move mode, afew will move mails between maildir folders according to
 configurable rules that can contain arbitrary notmuch queries to match
 against any searchable attributes.

=== debian/tests/control ===
Tests:
 upstream-testsuite,
Depends:
 afew,
 notmuch,
 python3-all,
 python3-freezegun,
 python3-pytest,

=== debian/watch ===
Version: 5

Template: Pypi
Dist: afew
